/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2012. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_INSTR_DESC                 2       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    3       /* control type: radioButton, callback function: (none) */
#define  PANEL_RESET                      4       /* control type: radioButton, callback function: (none) */
#define  PANEL_SWEEP_NUMBER               5       /* control type: numeric, callback function: (none) */
#define  PANEL_SWEEP_COUNT                6       /* control type: numeric, callback function: (none) */
#define  PANEL_SWEEP_TIME                 7       /* control type: numeric, callback function: (none) */
#define  PANEL_GRAPH                      8       /* control type: graph, callback function: (none) */
#define  PANEL_QUERY_SELECTED_SWEEP       9       /* control type: command, callback function: querySelectedSweep */
#define  PANEL_STOP                       10      /* control type: command, callback function: stopButton */
#define  PANEL_START                      11      /* control type: command, callback function: startButton */
#define  PANEL_DECORATION_2               12      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 13      /* control type: deco, callback function: (none) */
#define  PANEL_CHECKBOX                   14      /* control type: radioButton, callback function: (none) */
#define  PANEL_TEXTMSG                    15      /* control type: textMsg, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK querySelectedSweep(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
